## wv2 0.4.02-2

=== CMakeLists.txt ===
PROJECT( wvWare )

cmake_minimum_required(VERSION 2.6)

# wv2 versioning
SET( WV2_MAJOR_VERSION 0 )
SET( WV2_MINOR_VERSION 4 )
SET( WV2_MICRO_VERSION 2 )
SET( WV2_VERSION ${WV2_MAJOR_VERSION}.${WV2_MINOR_VERSION}.${WV2_MICRO_VERSION} )

# libtool versioning
SET( LT_VERSION_CURRENT 4 )
SET( LT_VERSION_REVISION 1 )
SET( LT_VERSION_AGE 0 )

# For automake. Is this required in CMake? (I don't think so)
SET( VERSION ${WV2_VERSION} )
SET( PACKAGE wv2 )

SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${wvWare_SOURCE_DIR}/cmake )

FIND_PACKAGE( GLIB2 REQUIRED )

FIND_PACKAGE( LIBGSF REQUIRED )

FIND_PACKAGE( Iconv REQUIRED )
IF( ICONV_FOUND )
  SET( HAVE_ICONV_H 1 )
  SET( ICONV_REQUIRES_CONST ${ICONV_SECOND_ARGUMENT_IS_CONST} )
ENDIF( ICONV_FOUND )

OPTION( WITH_ZLIB "Build wv2 with zlib (with compression features)" ON )
IF( WITH_ZLIB )
  FIND_PACKAGE( ZLIB REQUIRED )
ENDIF( WITH_ZLIB )

INCLUDE_DIRECTORIES( ${GLIB2_INCLUDE_DIR} ${LIBGSF_INCLUDE_DIR} ${ICONV_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} )

#
# Iconv checks
# 

INCLUDE( CheckIncludeFile )

CHECK_INCLUDE_FILE( sys/iconv.h HAVE_SYS_ICONV_H )

# Add "COMPILE_DEFINITIONS definitions" to TRY_RUN only if we have compile definitions

# Make sure ICONV_COMPILE_DEFINITIONS will never be empty (in case we define neither HAVE_ICONV_H nor HAVE_SYS_ICONV_H),
# otherwise TRY_RUN will fail due to COMPILE_DEFINITIONS being followed by nothing

SET( ICONV_COMPILE_DEFINITIONS "-DBLAH" )

IF( HAVE_ICONV_H )
  SET( ICONV_COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} "-DHAVE_ICONV_H" )
ENDIF( HAVE_ICONV_H )

IF( HAVE_SYS_ICONV_H )
  SET( ICONV_COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} "-DHAVE_SYS_ICONV_H" )
ENDIF( HAVE_SYS_ICONV_H )

TRY_RUN( MODERN_ICONV_RUN MODERN_ICONV_COMPILE ${wvWare_BINARY_DIR}/CMakeTmp ${wvWare_SOURCE_DIR}/cmake/TestModernIconv.c COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} )

#
# Various checks
#

INCLUDE( TestBigEndian )
TEST_BIG_ENDIAN( WORDS_BIGENDIAN )

CHECK_INCLUDE_FILE( dlfcn.h HAVE_DLFCN_H )
CHECK_INCLUDE_FILE( strings.h HAVE_STRINGS_H )
CHECK_INCLUDE_FILE( string.h HAVE_STRING_H )
CHECK_INCLUDE_FILE( math.h HAVE_MATH_H )
CHECK_INCLUDE_FILE( float.h HAVE_FLOAT_H )
CHECK_INCLUDE_FILE( ieeefp.h HAVE_IEEEFP_H )
CHECK_INCLUDE_FILE( errno.h HAVE_ERRNO_H )
CHECK_INCLUDE_FILE( inttypes.h HAVE_INTTYPES_H )
CHECK_INCLUDE_FILE( memory.h HAVE_MEMORY_H )
CHECK_INCLUDE_FILE( stdlib.h HAVE_STDLIB_H )
CHECK_INCLUDE_FILE( unistd.h HAVE_UNISTD_H )
CHECK_INCLUDE_FILE( stdint.h HAVE_STDINT_H ) # Not really needed because CHECK_TYPE_SIZE already performs this test
CHECK_INCLUDE_FILE( stdint.h HAVE_STDINT_H ) # Not really needed because CHECK_TYPE_SIZE already performs this test
CHECK_INCLUDE_FILE( sys/types.h HAVE_SYS_TYPES_H ) # Not really needed because CHECK_TYPE_SIZE already performs this test
CHECK_INCLUDE_FILE( sys/stat.h HAVE_SYS_STAT_H )

INCLUDE( CheckTypeSize )
CHECK_TYPE_SIZE( char SIZEOF_CHAR )
CHECK_TYPE_SIZE( short SIZEOF_SHORT )
CHECK_TYPE_SIZE( long SIZEOF_LONG )
CHECK_TYPE_SIZE( int SIZEOF_INT )
CHECK_TYPE_SIZE( "void *" SIZEOF_VOID_P )

INCLUDE( CheckFunctionExists )
IF( NOT MSVC )
  # libm does not exist on MSVC
  SET( CMAKE_REQUIRED_LIBRARIES m )
  SET( CMAKE_REQUIRED_INCLUDES math.h )
ENDIF( NOT MSVC )

CHECK_FUNCTION_EXISTS( isinf HAVE_FUNC_ISINF )
CHECK_FUNCTION_EXISTS( isnan HAVE_FUNC_ISNAN )
CHECK_FUNCTION_EXISTS( finite HAVE_FUNC_FINITE )
CHECK_FUNCTION_EXISTS( _finite HAVE_FUNC__FINITE )

#
# Check zlib is modern enough
#

SET( NEON_ZLIB 0 ) # By default, we are not modern enough
SET( CMAKE_REQUIRED_LIBRARIES ${ZLIB_LIBRARIES} )
SET( CMAKE_REQUIRED_INCLUDES zlib.h )

CHECK_FUNCTION_EXISTS( inflate ZLIB_HAS_INFLATE )

IF( ZLIB_HAS_INFLATE )
  TRY_RUN( MODERN_ZLIB_RUN MODERN_ZLIB_COMPILE ${wvWare_BINARY_DIR}/CMakeTmp ${wvWare_SOURCE_DIR}/cmake/TestModernZlib.c )
ENDIF( ZLIB_HAS_INFLATE )

IF( MODERN_ZLIB_RUN GREATER 0 AND WITH_ZLIB )
  MESSAGE( FATAL_ERROR "Your version of zlib is too old for wv2" )
ENDIF( MODERN_ZLIB_RUN GREATER 0 AND WITH_ZLIB )

#
# Set cflags and ldflags
#

IF( ZLIB_FOUND )
  SET( _WV2_LDFLAGS ${_WV2_LDFLAGS} ${ZLIB_LIBRARIES} )
  SET( _WV2_CFLAGS ${_WV2_CFLAGS} ${ZLIB_INCLUDE_DIR} )
ENDIF( ZLIB_FOUND )

IF( LIBGSF_FOUND )
  SET( _WV2_LDFLAGS ${_WV2_LDFLAGS} ${LIBGSF_LIBRARIES} )
  SET( _WV2_CFLAGS ${_WV2_CFLAGS} ${LIBGSF_INCLUDE_DIR} )
ENDIF( LIBGSF_FOUND )

IF( ICONV_FOUND )
  SET( _WV2_LDFLAGS ${_WV2_LDFLAGS} ${ICONV_LIBRARIES} )
  SET( _WV2_CFLAGS ${_WV2_CFLAGS} ${ICONV_INCLUDE_DIR} )
ENDIF( ICONV_FOUND )

IF( GLIB2_FOUND )
  SET( _WV2_LDFLAGS ${_WV2_LDFLAGS} ${GLIB2_LIBRARIES} )
  SET( _WV2_CFLAGS ${_WV2_CFLAGS} ${GLIB2_INCLUDE_DIR} )
ENDIF( GLIB2_FOUND )

#
# Clean and prepare
#
LIST( REMOVE_DUPLICATES _WV2_LDFLAGS )
LIST( REMOVE_DUPLICATES _WV2_CFLAGS )

FOREACH( _lib ${_WV2_LDFLAGS} )
  # Remove path to the library and suffixes. Transformation example: libglib-2.0.so => glib-2.0
  STRING( REGEX REPLACE "[\\\\ _\\/\\.a-zA-Z0-9\\-]*\\/lib([_\\.a-zA-Z0-9\\-]*)\\.[_a-zA-Z0-9\\-\\.]*" \\1 _lib_no_path ${_lib} )
  SET( WV2_LDFLAGS "${WV2_LDFLAGS} ${CMAKE_LINK_LIBRARY_FLAG}${_lib_no_path}" )
ENDFOREACH( _lib )

FOREACH( _inc ${_WV2_CFLAGS} )
  SET( WV2_CFLAGS "${WV2_CFLAGS} -I${_inc}" )
ENDFOREACH( _inc )

# Generate configuration files
CONFIGURE_FILE( config.h.cmake ${wvWare_BINARY_DIR}/config.h )
CONFIGURE_FILE( wv2-config.cmake ${wvWare_BINARY_DIR}/wv2-config @ONLY )

# Source directories
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( src/generator )
ADD_SUBDIRECTORY( tests )

# Installation (more in src/CMakeLists.txt)

INSTALL( FILES ${wvWare_BINARY_DIR}/wv2-config  
	DESTINATION bin 
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
      )

# "make dist"

SET(ARCHIVE_NAME ${PACKAGE}-${WV2_VERSION})
ADD_CUSTOM_TARGET(dist
    COMMAND svn export ${wvWare_SOURCE_DIR} ${wvWare_BINARY_DIR}/${ARCHIVE_NAME}
    COMMAND tar -C ${wvWare_BINARY_DIR} -c -v -z -f ${ARCHIVE_NAME}.tar.gz ${ARCHIVE_NAME}
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${wvWare_BINARY_DIR}/${ARCHIVE_NAME}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

=== debian/changelog ===
wv2 (0.4.02-2) stable; urgency=low

  * Release to Maemo

 -- Jos van den Oever <jos.van.den.oever@kogmbh.de>  Thu, 3 Aug 2009 10:39:00 +0100

wv2 (0.2.3-2) unstable; urgency=low

  * Update Standards-Version to 3.7.3.
  * Update uploaders.
  * Move patch system to quilt.
  * Add gcc_4.3_fixes to fix problems with GCC 4.3. This patch adds a missing
    include and hack away the #warning stuff.  (Closes: #441614)
  * Replace  ${source:Version}) with (= ${binary:Version}) to make package 
    binNMUable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 08:32:36 +0100

wv2 (0.2.3-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * Drop the libwv2.la file from libwv2-dev, at the request of
    J.H.M. Dassen (Ray). (Closes: #374332)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Jun 2006 15:28:58 -0400

wv2 (0.2.2-6) unstable; urgency=medium

  +++ Changes by Christopher Martin:

  * Add a patch which fixes CVE-2006-2197, missing boundary checks which could
    allow the execution of arbitrary code. Urgency medium.

  * Revamp patch system; should make further updates easier.

  * Set Uploaders to the standard Qt/KDE team list.

  +++ Changes by Pierre Habouzit:

  * Add -DNDEBUG in the CFLAGS (no more horribly verbose debug output on
    stderr; see wvlog.h). (Closes: #329109)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Jun 2006 19:00:35 -0400

wv2 (0.2.2-5) unstable; urgency=low

  * wv2-config: introduce a "--static" option to provide options suitable
    for static linking and have "--libs" output just "-lwv2", closes: #342889
  * Update libtool (required to fix FTBFS in GNU/k*BSD), closes: #311988

 -- Isaac Clerencia <isaac@debian.org>  Mon, 12 Dec 2005 08:36:00 +0100

wv2 (0.2.2-4) unstable; urgency=low

  +++ Changes by Isaac Clerencia:

  * Rebuild against new libgsf-1-dev, making libwv2-1c2 installable in sid
    again, closes: #338712

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 12 Nov 2005 11:27:27 +0100

wv2 (0.2.2-3) unstable; urgency=low

  * Changed maintainer to the Debian Qt/KDE group (in coordination with
    koffice, which has also changed maintainer to the Debian Qt/KDE group).

 -- Ben Burton <bab@debian.org>  Sun, 16 Oct 2005 02:07:54 +1000

wv2 (0.2.2-2) unstable; urgency=low

  * C++ ABI transition (g++-3.3 -> g++-4.0).
  * Library package renamed from libwv2-1 to libwv2-1c2.
  * Build-depends on c++abi2-dev, since the binaries do not depend on libstdc++.
  * Made libwv2-dev depend on libstdc++-dev since it imports libstdc++ headers.
  * Removed -pedantic from compilation flags to avoid HUGE_VAL error (#319553).
  * Bumped standards-version to 3.6.2.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Sat, 23 Jul 2005 10:20:38 +1000

wv2 (0.2.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Builds under gcc 3.4 (closes: #274051).

 -- Ben Burton <bab@debian.org>  Thu, 14 Oct 2004 19:08:15 +1000

wv2 (0.2.1-2) unstable; urgency=low

  * Build-depends on zlib1g-dev, which no longer seems to be provided by
    libxml2-dev (closes: #242971).

 -- Ben Burton <bab@debian.org>  Sun, 11 Apr 2004 07:36:57 +1000

wv2 (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Sun,  7 Dec 2003 20:37:52 +1100

wv2 (0.1.9-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 3.6.1.

 -- Ben Burton <bab@debian.org>  Mon, 29 Sep 2003 10:57:45 +1000

wv2 (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 3.6.0.

 -- Ben Burton <bab@debian.org>  Fri,  8 Aug 2003 08:58:07 +1000

wv2 (0.0.9-1) unstable; urgency=low

  * Initial Release (closes: #196455).
  * Patched olestorage.cpp for type correctness with newer versions of
    libgfs-1.
  * Using AM_MAINTAINER_MODE.
  * Updated config.{sub,guess}.

 -- Ben Burton <bab@debian.org>  Sat,  7 Jun 2003 15:30:53 +1000

=== debian/control ===
Source: wv2
Section: libs
Priority: optional
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: debhelper (>> 5.0.31), libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config, quilt, cmake, cdbs
Standards-Version: 3.7.3

Package: libwv2-1c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libwv2-1
Replaces: libwv2-1
Description: a library for accessing Microsoft Word documents
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.

Package: libwv2-dev
Architecture: any
Section: libdevel
Depends: libwv2-1c2 (= ${binary:Version}), libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libstdc++-dev, libxml2-dev
Description: development files for Microsoft Word access library
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.
 .
 This package contains development files for using libwv2 within your own
 projects.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CMAKE_EXTRA_FLAGS := -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib"

include debian/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

## wv2 0.4.2.dfsg.1

=== debian/changelog ===
wv2 (0.4.2.dfsg.1-7) unstable; urgency=low

  * The mips/mipsel issue appears to be due to the wv2 code assuming it knows
    the bit pattern for NaN and Inf, so revert the change to disable
    optimisation (which didn't actually work anyway) and add new patch
    fix-nan-and-inf-for-mips.patch.

 -- Olly Betts <olly@survex.com>  Thu, 05 Jan 2012 05:14:37 +0000

wv2 (0.4.2.dfsg.1-6) unstable; urgency=low

  * Enabling hardening build flags also turned on optimisation, which results
    in a bus error in handlertest on mips and mipsel.  The backtrace is useless
    so just disable optimisation again for these two archs.

 -- Olly Betts <olly@survex.com>  Sun, 01 Jan 2012 11:15:19 +0000

wv2 (0.4.2.dfsg.1-5) unstable; urgency=low

  * Enable hardened build flags.

 -- Olly Betts <olly@survex.com>  Wed, 28 Dec 2011 23:24:21 +0000

wv2 (0.4.2.dfsg.1-4) unstable; urgency=low

  * Fix avoid-writing-after-structures.patch to actually work.

 -- Olly Betts <olly@survex.com>  Thu, 01 Dec 2011 05:12:36 +0000

wv2 (0.4.2.dfsg.1-3) unstable; urgency=low

  * New patch avoid-writing-after-structures.patch to fix word95test and
    word97test not to write after the end of word-aligned structures, fixing
    FTBFS on sparc.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 14:23:07 +0000

wv2 (0.4.2.dfsg.1-2) unstable; urgency=low

  * New maintainer.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 13:01:02 +0000

wv2 (0.4.2.dfsg.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch fix-ftbfs-with-gold.patch to fix FTBFS with binutils-gold.
    (Closes: #556686)
  * Add patch fix-handling-empty-associatedstrings.patch to fix handling of
    .doc files with an empty associated strings section. (Closes: #603868)
  * Build with debugging messages disabled. (Closes: #603871)
  * Drop leading article from short description.
  * Actually run the testsuite, don't just build it (needs new patch
    fix-tests.patch)
  * "Standards-Version: 3.9.2":
    + Include the BSD licence in debian/copyright rather than referring to
      /usr/share/common-licenses/BSD.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 12:04:22 +0000

wv2 (0.4.2.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. No changes required further adding
    debian/source/format.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 14 Nov 2009 00:28:32 +0100

wv2 (0.4.1.dfsg-1) unstable; urgency=low

  * New upstream release. "Another release, another bump soname".
  * Update from upstream to build with GCC 4.4. (Closes: #548708)
  * Bump soname fom libwv2-3 to libwv2-4, make changes accordingly.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Oct 2009 18:10:30 +0200

wv2 (0.4.0.dfsg-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Pino Toscano:

  * Bump SONAME.
  * Switch to dh, and bump debhelper requirements & compatibility to 7.
  * wv2's build system is cmake now, so build-depend on it.
  * Add dependency on ${misc:Depends}, given debhelper is used.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Remove duplicate section from binary libwv2-3 in control.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 18 Sep 2009 17:59:51 +0200

wv2 (0.3.1.dfsg-1) unstable; urgency=low

  * Repack tarball and remove unlicesed documentation. Document this in
    Debian.README.
  * Update debian/copyright.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Aug 2009 16:32:59 +0200

wv2 (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches: 
    - gcc_4.3_fixes, merged upstream. 
    - 05_relibtoolize.dpatch, 50_autogen.dpatch, 10_wv2-config_static.dpatch,
      obsolete.
    - remove quilt patching stuff.
  * Remove deprecated libstdc++-dev, it is being updated in build-essential.
  * Rename libwv2-1c2 -> libwv2-2.
  * Update to debhelper 6. 
  * Add Homepage field.
  * Update debian/copyright.
  * Update to Standards-Version: 3.8.2, no changes required.
  * Update uploaders, remove Isaac.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Aug 2009 00:31:33 +0200

=== debian/control ===
Source: wv2
Section: libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Build-Depends: debhelper (>= 7.3.12), cmake, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config, python
Standards-Version: 3.9.2
Homepage: http://wvware.sourceforge.net

Package: libwv2-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwv2-1
Replaces: libwv2-1
Description: library for accessing Microsoft Word documents
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.

Package: libwv2-dev
Architecture: any
Section: libdevel
Depends: libwv2-4 (= ${binary:Version}), libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, ${misc:Depends}
Description: development files for Microsoft Word access library
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.
 .
 This package contains development files for using libwv2 within your own
 projects.

=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS := `dpkg-buildflags --get CXXFLAGS` `dpkg-buildflags --get CPPFLAGS`
CXXFLAGS += -DNDEBUG

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(CXXFLAGS)"

override_dh_auto_test:
	dh_auto_test
	cp tests/*.doc obj-*/tests
	cd obj-*/tests ; for t in *test ; do \
	  echo "Running test $$t" ;\
	  if [ $$t = handlertest ]; then \
	    set -e ; ./$$t testole.doc ;\
	  else \
	    set -e ; ./$$t ;\
	  fi \
	done

## wv2 0.4.2.dfsg.1-1ubuntu1

=== debian/changelog ===
wv2 (0.4.2.dfsg.1-1ubuntu1) lucid; urgency=low

  * Sync with Debian, closes LP: #477877
  * Don't use source format 3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Dec 2009 18:02:44 +0000

wv2 (0.3.1.dfsg-1ubuntu1) karmic; urgency=low

  * Correct tests for function existance in src/ustring.cpp to fix FTBFS with
    GCC 4.4
    - Changes from Debian bug 548708

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Oct 2009 20:26:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: wv2
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
-Build-Depends: debhelper (>= 7.3.12), cmake, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config, python
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
+Build-Depends: debhelper (>= 7.3.12), cmake, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config
+Standards-Version: 3.8.3
 Homepage: http://wvware.sourceforge.net
 
 Package: libwv2-4
@@ -11,7 +13,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libwv2-1
 Replaces: libwv2-1
-Description: library for accessing Microsoft Word documents
+Description: a library for accessing Microsoft Word documents
  The wv2 library allows access to Microsoft Word documents, for the
  purpose of converting them to other formats.  This library is intended
  as an eventual replacement for the wv library, used in the package wv.

## wv2 0.4.2.dfsg.2

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${wvWare_BINARY_DIR} )

# I'd say the 'if' is unneeded because we always CONFIGURE_FILE
IF( EXISTS ${wvWare_BINARY_DIR}/config.h )
  ADD_DEFINITIONS( -DHAVE_CONFIG_H )
ENDIF( EXISTS ${wvWare_BINARY_DIR}/config.h )

SET( wv2_SOURCES 
	olestorage.cpp 
	olestream.cpp 
	word97_generated.cpp 
	word97_helper.cpp 
	word95_helper.cpp 
	word_helper.cpp 
	word95_generated.cpp 
	convert.cpp 
	global.cpp 
	parser.cpp 
	parser9x.cpp 
	parser95.cpp 
	parser97.cpp 
	parserfactory.cpp 
	ustring.cpp 
	textconverter.cpp 
	styles.cpp 
	handlers.cpp 
	properties97.cpp 
	fonts.cpp 
	lists.cpp 
	paragraphproperties.cpp 
	headers.cpp 
	headers95.cpp 
	headers97.cpp 
	footnotes97.cpp 
	functor.cpp 
	functordata.cpp 
	associatedstrings.cpp 
	fields.cpp 
	utilities.cpp 
	crc32.c 
	wvlog.cpp 
	graphics.cpp 
	wv2version.cpp 
	zcodec.cxx
    )

SET( wv2_HEADERS 
	olestorage.h 
	olestream.h 
	word95_generated.h 
	word97_generated.h 
	word_helper.h 
	parser.h 
	parserfactory.h 
	ustring.h 
	textconverter.h 
	styles.h 
	sharedptr.h 
	convert.h 
	global.h 
	handlers.h 
	fonts.h 
	lists.h 
	utilities.h 
	paragraphproperties.h 
	functor.h 
	functordata.h 
	associatedstrings.h 
	fields.h 
	dllmagic.h 
	wvlog.h 
	wv2version.h
	zcodec.hxx
    )

ADD_LIBRARY( wv2 SHARED ${wv2_SOURCES} ${wv2_HEADERS} )
TARGET_LINK_LIBRARIES( wv2 ${ZLIB_LIBRARIES} ${LIBGSF_LIBRARIES} ${ICONV_LIBRARIES} ${GLIB2_LIBRARIES} )
SET_TARGET_PROPERTIES( wv2 PROPERTIES 
			      SOVERSION ${LT_VERSION_CURRENT} 
			      VERSION ${LT_VERSION_CURRENT}.${LT_VERSION_AGE}.${LT_VERSION_REVISION} 
			      LT_VERSION_CURRENT ${LT_VERSION_CURRENT}
			      LT_VERSION_AGE ${LT_VERSION_AGE}
			      LT_VERSION_REVISION ${LT_VERSION_REVISION}
			      LT_DEPENDENCY_LIBS ${WV2_LDFLAGS}
		    )
IF( WIN32 )
  SET_TARGET_PROPERTIES( wv2 PROPERTIES DEFINE_SYMBOL WV2_DLL )
ENDIF( WIN32 )

INSTALL( TARGETS wv2
    EXPORT wvWare
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    ARCHIVE DESTINATION lib${LIB_SUFFIX}/static
)

INSTALL( EXPORT wvWare DESTINATION lib${LIB_SUFFIX}/wvWare FILE wv2.cmake )

INSTALL( FILES ${wv2_HEADERS}
  DESTINATION include/wv2
)

# libtool files are useless for Visual C++ and Borland C++
IF( NOT MSVC AND NOT BORLAND )
  INCLUDE( ${wvWare_SOURCE_DIR}/cmake/MacroCreateLibtoolFile.cmake )
  CREATE_LIBTOOL_FILE( wv2 /lib${LIB_SUFFIX} )
ENDIF( NOT MSVC AND NOT BORLAND )

=== src/generator/CMakeLists.txt ===
# The generated files will be in the source directory ( src )
# IMHO polluting the source directory is a bad idea UNLESS the only
# point of the "make generated" target is to create word9{5,7}_generated.{h,cpp}
# for "make dist" (i. e. for a tarball)
# - Pau

ADD_CUSTOM_TARGET( scanner 
		  ${CMAKE_COMMAND} 
		  -DGENERATOR_DIR:PATH=${wvWare_SOURCE_DIR}/src/generator 
		  -P ${wvWare_SOURCE_DIR}/cmake/generate_scanner.cmake 
		)

ADD_CUSTOM_TARGET( converter 
		  ${CMAKE_COMMAND} 
		  -DGENERATOR_DIR:PATH=${wvWare_SOURCE_DIR}/src/generator 
		  -P ${wvWare_SOURCE_DIR}/cmake/generate_converter.cmake 
		)


ADD_CUSTOM_TARGET( generated DEPENDS scanner converter )

=== debian/changelog ===
wv2 (0.4.2.dfsg.2-2ubuntu25.10.0+6) questing; urgency=low

  * Use tde-cdbs and tde-cmake for building

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Thu, 24 Sep 2025 13:35:00 +0900

wv2 (0.4.2.dfsg.2-2debian14.0.0+5~a) forky; urgency=low

  * Use latest tde.mk file

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Wed, 23 Sep 2025 21:09:00 +0900

wv2 (0.4.2.dfsg.2-2debian11.0.0+4~a) bullseye; urgency=low

  * Dropped python support

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Fri, 06 Jan 2023 10:30:17 +0900

wv2 (0.4.2.dfsg.2-2debian11.0.0+3~a) bullseye; urgency=low

  * Switch to cdbs
  * Switch to build using ninja-build
  * Install libraries according to multi-arch rules

 -- Slávek Banko <slavek.bnako@axis.cz>  Wed, 19 May 2021 15:47:53 +0200

wv2 (0.4.2.dfsg.2-2debian11.0.0+1~a) bullseye; urgency=low

  * Replace python dependency with python-all.

 -- Slávek Banko <slavek.bnako@axis.cz>  Tue, 07 Apr 2020 20:57:23 +0200

wv2 (0.4.2.dfsg.2-2ubuntu20.04.0+0~a) focal; urgency=low

  * Run "make test" directly to avoid differences between when dh_auto_test
    thinks the testsuite should be run and when we do.  (Closes: #718141)
  * Enable LFS so that we can read files of CIFS shares.
  * debian/rules: Simplify - dh compat 9 handles passing CPPFLAGS under
    cmake.
  * Support parsing end notes (new patch support-endnotes.patch from upstream
    SVN).

 -- Olly Betts <olly@survex.com>  Thu, 29 Aug 2013 10:38:30 +1200

wv2 (0.4.2.dfsg.2-1) unstable; urgency=low

  * Repack to remove src/generator/generator_wword{6,8}.htm, which are
    based on documents from Microsoft.  These two files were documented as
    removed in README.Debian, but actually still present.
  * Improve wording in README.Debian.
  * "Standards-Version: 3.9.4": No changes required.

 -- Olly Betts <olly@survex.com>  Thu, 30 May 2013 11:21:57 +0000

wv2 (0.4.2.dfsg.1-10) unstable; urgency=low

  * Fix to use -I options from libgsf's pkg-config so libxml headers are
    found.  (Closes: #707417)
  * Honour DEB_BUILD_OPTIONS nocheck in debian/rules.  (Closes: #685920)
  * Fix double "-l" in output from wv2-config --libs.  (LP: #1017413)

 -- Olly Betts <olly@survex.com>  Fri, 10 May 2013 12:06:41 +1200

wv2 (0.4.2.dfsg.1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * [SECURITY] Fix "Buffer overflow":
    add patch buffer-overflow.patch, taken from calligra git.
    (Closes: #684078)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Aug 2012 15:20:51 +0200

wv2 (0.4.2.dfsg.1-9) unstable; urgency=low

  * Apply hardening to CFLAGS too (patch from Simon Ruderich in private mail).
  * Fix compatibility with glib 2.32 (Closes: #665626)

 -- Olly Betts <olly@survex.com>  Sun, 25 Mar 2012 04:04:44 +0000

wv2 (0.4.2.dfsg.1-8) unstable; urgency=low

  * "Standards-Version: 3.9.3": No changes required.
  * Ensure hardening LDFLAGS are used by updating to debhelper compat level 9.
    (Closes: #662009)

 -- Olly Betts <olly@survex.com>  Fri, 23 Mar 2012 09:30:09 +0000

=== debian/control ===
Source: wv2
Section: deps-r14/libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config
Standards-Version: 3.9.4
Homepage: http://wvware.sourceforge.net

Package: libwv2-4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwv2-1
Replaces: libwv2-1
Description: library for accessing Microsoft Word documents
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.

Package: libwv2-dev
Architecture: any
Multi-Arch: foreign
Section: deps-r14/libdevel
Depends: libwv2-4 (= ${binary:Version}), libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, ${misc:Depends}
Description: development files for Microsoft Word access library
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.
 .
 This package contains development files for using libwv2 within your own
 projects.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

# Upstream build system seems to just ignore these, and as a result, libgsf
# fails to find libxml headers (see #707417).
CPPFLAGS += $(shell pkg-config libgsf-1 --cflags)

# Files on CIFS shares can have 64 bit inode numbers, which means we need LFS
# enabled to read them (which is something which a library which reads Word
# documents really should support).
CPPFLAGS += -D_FILE_OFFSET_BITS=64

# Disable debug output, which is very noisy.
# (#329109 and (after upstream moved to cmake and the fix was lost) #603871)
CXXFLAGS += -DNDEBUG

ifdef DEB_HOST_MULTIARCH
  LIB_SUFFIX = /$(DEB_HOST_MULTIARCH)
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DLIB_SUFFIX=$(LIB_SUFFIX)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))

DEB_MAKE_CHECK_TARGET = test

common-build-arch::
	cp tests/*.doc obj-*/tests
	cd obj-*/tests ; for t in *test ; do \
	  echo "Running test $$t" ;\
	  if [ $$t = handlertest ]; then \
	    set -e ; ./$$t testole.doc ;\
	  else \
	    set -e ; ./$$t ;\
	  fi \
	done
endif
endif
